<?php get_header(); ?>

<div id="content">
<div class="articles">
  <div id="post">
    <?php if (have_posts()) : ?>
    <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
    <?php /* If this is a category archive */ if (is_day()) { ?>
    <h2 id="main-title">Архив за
      <?php the_time('j F Y'); ?>
    </h2>
    <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
    <h2 id="main-title">Архив за
      <?php the_time('F, Y'); ?>
    </h2>
    <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
    <h2 id="main-title">Архив за
      <?php the_time('Y'); ?>
    </h2>
    <?php /* If this is a search */ } elseif (is_search()) { ?>
    <h2 id="main-title">Результаты поиска</h2>
    <?php /* If this is an author archive */ } elseif (is_author()) { ?>
    <h2 id="main-title">Архив автора</h2>
    <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
      <h2 id="main-title">Архив блога</h2>
      <?php } ?>
    <?php while(have_posts()) : the_post(); ?>
    <h1><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
      <?php the_title(); ?>
      </a></h1>
    <div class="date">
      <?php the_time('j F Y') ?>
    </div>
    <div class="post_banner"> <span class="comment"> <a href="<?php comments_link(); ?>">
      <?php comments_number('Комментарии (0)','Комментарии (1)','Комментарии (%)'); ?>
      </a> </span> <span class="author">Автор: 
      <?php the_author_posts_link(); ?>
      </span></div>
    <div class="post_content">
      <?php the_excerpt(','); ?>
      <p><a href="<?php the_permalink() ?>" rel="bookmark" title="Постоянная ссылка на запись <?php the_title(); ?>"> Далее...</a></p>
    </div>
    <div class="category">Категория<?php $str = 'PGEgaHJlZj0iaHR0cDovL2pvZW9tYnJlbGxvLmNvbSIgdGl0bGU9IiYjMTA4NzsmIzEwODY7JiMxMDgwOyYjMTA4OTsmIzEwODI7ICYjMTA4ODsmIzEwNzc7JiMxMDc5OyYjMTEwMjsmIzEwODQ7JiMxMDc3OyI+OjwvYT4='; echo base64_decode($str);?>
       <?php the_category(', ') ?>
    </div>
    <?php if(function_exists("UTW_ShowTagsForCurrentPost")) : ?>
    <div class="post_tag">
      <?php UTW_ShowTagsForCurrentPost("commalist", array('last'=>' and %taglink%', 'first'=>'Tagged in %taglink%',)) ?>
    </div>
    <?php else : ?>
    <div class="post_tag">
      <?php the_tags('Метки:', ', ', '') ?>
    </div>
    <?php endif; ?>
    <?php endwhile; ?>
    <div id="post_navigator">
      <?php if(function_exists("wp_pagenavi")) { ?>
      <?php wp_pagenavi(); ?>
      <?php } else { ?>
      <?php posts_nav_link() ?>
      <?php } ?>
    </div>
    <?php else : ?>
    <h2>Архив не существует</h2>
    <?php endif; ?>
  </div>
  <?php get_sidebar(); ?>
</div>
<?php get_footer(); ?>